#!/bin/sh

# Regenerate ubuntu-themes tarball without copyrighted trademarks
VERSION=$1
REVISION=$2

FOLDER=light-themes-$VERSION-bzr$REVISION
ARCHIVE=$FOLDER.tar.xz

bzr export $FOLDER/ -r $REVISION lp:ubuntu-themes
pushd $FOLDER/

# Remove copyrighted logo icons
rm -r distributor-logo.png
find suru-icons/ ubuntu-mobile/ ubuntu-mono-*/ LoginIcons/ \
  \(                                                       \
        -name "amazon*.*"                                  \
     -o -name "computer.*"                                 \
     -o -name "dash-home.*"                                \
     -o -name "distributor-logo.*"                         \
     -o -name "ebay*.*"                                    \
     -o -name "evernote*.*"                                \
     -o -name "facebook*.*"                                \
     -o -name "gmail*.*"                                   \
     -o -name "google*.*"                                  \
     -o -name "package-supported.*"                        \
     -o -name "placeholder-app-icon.*"                     \
     -o -name "pinterest*.*"                               \
     -o -name "preferences-system-directory.*"             \
     -o -name "ski-safari*.*"                              \
     -o -name "soundcloud*.*"                              \
     -o -name "skype*.*"                                   \
     -o -name "soundcloud*.*"                              \
     -o -name "spotify*.*"                                 \
     -o -name "start-here.*"                               \
     -o -name "twitter*.*"                                 \
     -o -name "ubuntu*.*"                                  \
     -o -name "youtube*.*"                                 \
  \) -delete

popd

tar -cJf $ARCHIVE $FOLDER/
rm -r $FOLDER/
