%global revision 455
%global revision_date 20151001

Name:           light-themes
Version:        14.04
Release:        6.%{revision_date}bzr%{revision}%{?dist}
Summary:        Themes for Ubuntu

Group:          User Interface/Desktops
License:        CC-BY-SA
URL:            https://launchpad.net/ubuntu-themes/
Source0:        %{name}-%{version}-bzr%{revision}.tar.xz
# light-themes is based on ubuntu-themes project, which contains copyrighted
# trademarks. Therefore we use this script to remove them before shipping
# it. Invoke this script to generate the light-themes tarball
Source1:        %{name}-generate-tarball.sh
# Fix DMZ cursor theme name in index.theme files (named "DMZ-White" in Ubuntu,
# "dmz" in Fedora)
Patch0:         %{name}-14.04-cursor.patch
# Fix Ubuntu icon dependency themes in index.theme files (themes renamed from
# "ubuntu-mono-*" to "Monochrome-*" in Fedora for copyright reasons)
Patch1:         %{name}-14.04-icons.patch
# Better support for client-side decorated applications (see
# https://bugs.launchpad.net/ubuntu-themes/+bug/1263317)
Patch2:         %{name}-14.04-CSD_applications.patch
BuildArch:      noarch

%description
This project gathers together what ubuntu-artworks, ubuntu-mono and light-themes
in one package as they all define what Ubuntu is.


%package -n light-theme-gnome
Summary:        Ambiance and Radiance GNOME themes
Group:          User Interface/Desktops
Requires:       dmz-cursor-themes
Requires:       light-gtk2-theme = %{version}-%{release}
Requires:       light-gtk3-theme = %{version}-%{release}
Requires:       light-metacity-theme = %{version}-%{release}
Requires:       monochrome-icon-theme = %{version}-%{release}

%description -n light-theme-gnome
Includes matching Ambiance and Radiance GNOME themes.
* Ambiance is a light-on-dark theme
* Radiance is a dark-on-light theme
Introduced as the default themes in Ubuntu 10.04 LTS.


%package -n light-gtk2-theme
Summary:        Ambiance and Radiance GTK+2 themes
Group:          User Interface/Desktops
Requires:       gtk-murrine-engine

%description -n light-gtk2-theme
Themes for GTK+2 as part of the Light GNOME theme.
* Ambiance is a light-on-dark theme
* Radiance is a dark-on-light theme


%package -n light-gtk3-theme
Summary:        Ambiance and Radiance GTK+3 themes
Group:          User Interface/Desktops

%description -n light-gtk3-theme
Themes for GTK+3 as part of the Light GNOME theme.
* Ambiance is a light-on-dark theme
* Radiance is a dark-on-light theme


%package -n light-metacity-theme
Summary:        Ambiance and Radiance Metacity themes
Group:          User Interface/Desktops

%description -n light-metacity-theme
Themes for Metacity as part of the Light GNOME theme.
* Ambiance is a light-on-dark theme
* Radiance is a dark-on-light theme


%package -n monochrome-icon-theme
Summary:        Icons for the panel, designed in a simplified monochrome style
Group:          User Interface/Desktops
Requires:       humanity-icon-theme

%description -n monochrome-icon-theme
Dark and Light panel icons to make your desktop beautiful.


%prep
%setup -q -n %{name}-%{version}-bzr%{revision}
%patch0 -p1
%patch1 -p1
%patch2 -p1

# Remove useless Unity themes
rm -r */unity/

# Delete dead symlinks
find -L . -type l -exec rm {} \;


%build


%install
# Install GTK themes
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/themes/
cp -a Ambiance/ Radiance/ $RPM_BUILD_ROOT%{_datadir}/themes/

# Install icon themes
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/icons/
cp -a ubuntu-mono-dark/ $RPM_BUILD_ROOT%{_datadir}/icons/Monochrome-dark/
cp -a ubuntu-mono-light/ $RPM_BUILD_ROOT%{_datadir}/icons/Monochrome-light/


%post -n monochrome-icon-theme
for i in Monochrome-dark Monochrome-light; do
  /bin/touch --no-create %{_datadir}/icons/$i/ &>/dev/null || :
done


%postun -n monochrome-icon-theme
if [ $1 -eq 0 ]; then
  for i in Monochrome-dark Monochrome-light; do
    /bin/touch --no-create %{_datadir}/icons/$i/ &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/$i/ &>/dev/null || :
  done
fi


%posttrans -n monochrome-icon-theme
for i in Monochrome-dark Monochrome-light; do
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/$i/ &>/dev/null || :
done


%files -n light-theme-gnome
%dir %{_datadir}/themes/*/
%{_datadir}/themes/*/index.theme


%files -n light-gtk2-theme
%doc debian/changelog
%license debian/copyright
%dir %{_datadir}/themes/*/
%{_datadir}/themes/*/gtk-2.0/


%files -n light-gtk3-theme
%doc debian/changelog
%license debian/copyright
%dir %{_datadir}/themes/*/
%{_datadir}/themes/*/gtk-3.0/


%files -n light-metacity-theme
%doc debian/changelog
%license debian/copyright
%dir %{_datadir}/themes/*/
%{_datadir}/themes/*/metacity-1/


%files -n monochrome-icon-theme
%doc debian/changelog
%license debian/copyright
%{_datadir}/icons/Monochrome-dark/
%{_datadir}/icons/Monochrome-light/


%changelog
* Thu Oct 22 2015 Mohamed El Morabity <melmorabity@fedoraproject.org> - 14.04-6.20151001bzr455
- Synchronise with version bundled in Ubuntu 15.10

* Thu Jun 18 2015 Mohamed El Morabity <melmorabity@fedoraproject.org> - 14.04-5.20150410bzr434
- Add patch to better support CSD applications
- Drop useless dependency on gtk-unico-engine
- Fix directories owned by the light-theme-gnome subpackage
- Use %%license tag

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 14.04-4.20150410bzr434
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun May 03 2015 Mohamed El Morabity <melmorabity@fedoraproject.org> - 14.04-3.20150410bzr434
- Synchronise with version bundled in Ubuntu 15.04

* Mon Jan 05 2015 Mohamed El Morabity <melmorabity@fedoraproject.org> - 14.04-2.20141217bzr408
- Update to the latest development version available in Ubuntu 13.10
- Drop Requires on metacity for light-metacity-theme (not needed by GNOME)

* Sun Oct 12 2014 Mohamed El Morabity <melmorabity@fedoraproject.org> - 14.04-1.20140929bzr399
- Update to the latest development version available in Ubuntu 14.10
- Drop useless Login icon theme

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 14.04-0.2.20140410bzr378
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 13 2014 Mohamed El Morabity <melmorabity@fedoraproject.org> - 14.04-0.1.20140410bzr378
- Synchronise with version bundled in Ubuntu 14.04

* Wed Nov 20 2013 Mohamed El Morabity <melmorabity@fedoraproject.org> - 13.10-0.3.20131014bzr324
- Fix deps

* Tue Nov 12 2013 Mohamed El Morabity <melmorabity@fedoraproject.org> - 13.10-0.2.20131014bzr324
- Synchronise with version bundled in Ubuntu 13.10

* Mon Sep 02 2013 Mohamed El Morabity <melmorabity@fedoraproject.org> - 13.10-0.1.20130812bzr307
- Update to the latest development version available in Ubuntu 13.10

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 13.04-0.2.20130412bzr283
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun May 12 2013 Mohamed El Morabity <melmorabity@fedoraproject.org> - 13.04-0.1.20130412bzr283
- Rebase to ubuntu-themes upstream project
- Synchronise with version bundled in Ubuntu 13.04
- Add new monochrome-icon-theme subpackage

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.93-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Sep 29 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.93-1
- Update to 0.1.93

* Fri Sep 21 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.92-1.0ubuntu1
- Update to 0.1.92-0ubuntu1

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.11-2.0ubuntu1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jul 15 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.11-1.0ubuntu1
- Update to 0.1.11-0ubuntu1

* Thu Feb 16 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.8.29-1
- Update to 0.1.8.29

* Sat Feb 04 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.8.27.1-1
- Update to 0.1.8.27.1

* Sun Jan 22 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.8.26-2
- Rebuilt

* Sun Jan 22 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.8.26-1
- Update to 0.1.8.26

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.8.25-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 09 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.8.25-5
- Fix description in light-theme-gnome

* Tue Nov 29 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.8.25-4
- Rename source RPM to light-themes
- Split light-theme-gnome into four packages: light-metacity-theme,
  light-gtk2-theme, light-gtk3-theme, light-theme-gnome
- Remove useless Unity theme files

* Sun Nov 20 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.8.25-3
- Fix dependency on monochrome-icon-theme

* Tue Oct 11 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.8.25-2
- Fix dependency on mono-icon-theme

* Sun Oct 09 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.8.25-1
- Initial RPM release
